"use strict";
//    Copyright 2018 Quirino Brizi [quirino.brizi@gmail.com]
//
//    Licensed under the Apache License, Version 2.0 (the "License");
//    you may not use this file except in compliance with the License.
//    You may obtain a copy of the License at
//
//        http://www.apache.org/licenses/LICENSE-2.0
//
//    Unless required by applicable law or agreed to in writing, software
//    distributed under the License is distributed on an "AS IS" BASIS,
//    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
//    See the License for the specific language governing permissions and
//    limitations under the License.
Object.defineProperty(exports, "__esModule", { value: true });
exports.Interface = void 0;
const dino_core_1 = require("dino-core");
/**
 * Handler for the requests from a client. Interface extends component class
 * meaning that if contextScan is enabled implementing interfaces will be automatically
 * discovered and registered on the application context.
 *
 * @public
 */
class Interface extends dino_core_1.Injectable {
}
exports.Interface = Interface;
//# sourceMappingURL=Interface.js.map