import { type EnvironmentConfiguration } from 'dino-core';
import { type ApplicationEvent } from './ApplicationEvent';
import { type EventProducerInterface } from './EventProducerInterface';
import { type EventQueue } from './EventQueue';
export declare class EventProducer implements EventProducerInterface {
    private readonly eventQueue;
    private readonly defaultInfo;
    private readonly environment;
    constructor(eventQueue: EventQueue, environment: EnvironmentConfiguration, title: string, version: string);
    send(applicationEvent: ApplicationEvent): boolean;
    protected enrich(applicationEvent: ApplicationEvent): void;
}
