"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ScopeCreatorMiddleware = void 0;
const tslib_1 = require("tslib");
const express_http_context2_1 = tslib_1.__importDefault(require("express-http-context2"));
const before_handler_middleware_1 = require("../../before.handler.middleware");
class ScopeCreatorMiddleware extends before_handler_middleware_1.BeforeHandlerMiddleware {
    handle(req, _res, next) {
        express_http_context2_1.default.set('httpContext', {
            headers: req.headers,
            query: req.query
        });
        next();
    }
}
exports.ScopeCreatorMiddleware = ScopeCreatorMiddleware;
//# sourceMappingURL=ScopeCreatorMiddleware.js.map