"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.NoopEventProducer = void 0;
const dino_core_1 = require("dino-core");
class NoopEventProducer {
    send(applicationEvent) {
        dino_core_1.Logger.debug(`Application event: ${JSON.stringify(applicationEvent.asObject())}`);
        return false;
    }
}
exports.NoopEventProducer = NoopEventProducer;
//# sourceMappingURL=NoopEventProducer.js.map