"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SendResponseMiddleware = void 0;
const after_handler_middleware_1 = require("../../after.handler.middleware");
const Helper_1 = require("../../../Helper");
class SendResponseMiddleware extends after_handler_middleware_1.AfterHandlerMiddleware {
    handle(_req, res, _next) {
        res.format({
            xml: () => {
                res.send(Helper_1.Helper.format(res.body, 'application/xml'));
            },
            json: () => {
                res.send(res.body);
            },
            default: () => {
                res.send(res.body);
            }
        });
    }
}
exports.SendResponseMiddleware = SendResponseMiddleware;
//# sourceMappingURL=SendResponseMiddleware.js.map