import { type Response } from '../../Response';
import { type EnvironmentConfiguration } from 'dino-core';
import { type GenericObject } from '../../Types';
import { type ResponseAdaptorInterface } from '../ResponseAdaptorInterface';
export declare class LambdaResponseAdaptor implements ResponseAdaptorInterface {
    private readonly responseAsBase64;
    /**
     * Valid values are proxy and method, need to create an enum
     */
    private readonly integrationType;
    constructor(environment: EnvironmentConfiguration);
    adapt(response: Response): GenericObject;
    private buildAWSResponse;
    private buildAWSProxyResponse;
}
